# Infra Laravel Deployment

![all contributors](https://img.shields.io/github/contributors/devopscorner/laravel-eks-deployment)
![tags](https://img.shields.io/github/v/tag/devopscorner/laravel-eks-deployment?sort=semver)
![issues](https://img.shields.io/github/issues/devopscorner/laravel-eks-deployment)
![pull requests](https://img.shields.io/github/issues-pr/devopscorner/laravel-eks-deployment)
![forks](https://img.shields.io/github/forks/devopscorner/laravel-eks-deployment)
![stars](https://img.shields.io/github/stars/devopscorner/laravel-eks-deployment)
[![License: CC BY-NC 4.0](https://img.shields.io/github/license/devopscorner/laravel-eks-deployment)](https://img.shields.io/github/license/devopscorner/laravel-eks-deployment)

Laravel Kubernetes (EKS) Deployment Tools

---

## INDEX

- Terraform Plan Inventory
  - [Terraform Plan - Core Staging](terraform-plan-core-staging.md)
  - [Terraform Plan - Core Prod](terraform-plan-core-prod.md)
  - [Terraform Plan - EKS Staging](terraform-plan-eks-staging.md)
  - [Terraform Plan - EKS Prod](terraform-plan-eks-prod.md)
  - [Terraform Security Analysis - Core Staging](terraform-security-analysis-core-staging.md)
  - [Terraform Security Analysis - Core Prod](terraform-security-analysis-core-prod.md)
  - [Terraform Security Analysis - EKS Staging](terraform-security-analysis-eks-staging.md)
  - [Terraform Security Analysis - EKS Prod](terraform-security-analysis-eks-prod.md)
  - [Terraform Infra Costing - Core Staging](terraform-infracost-core-staging.md)
  - [Terraform Infra Costing - Core Prod](terraform-infracost-core-prod.md)
  - [Terraform Infra Costing - EKS Staging](terraform-infracost-eks-staging.md)
  - [Terraform Infra Costing - EKS Prod](terraform-infracost-eks-prod.md)

- Terraform State Inventory
  - [Core Infrastructure Staging](terraform-state-core-infra-staging.md)
  - [Core Infrastructure Prod](terraform-state-core-infra-prod.md)
  - [EKS Staging](terraform-state-eks-staging.md)
  - [EKS Production](terraform-state-eks-prod.md)
